## lapack-ffc5 3.0.20000531a-29

=== Makefile ===
#
#  Top Level Makefile for LAPACK
#  Version 3.0
#  June 30, 1999
#

include make.inc

all: do_install lib do_testing blas_testing do_timing blas_timing

lib: lapacklib tmglib
#lib: blaslib lapacklib tmglib

clean: cleanlib cleantesting cleantiming

do_install:
	( cd INSTALL; $(MAKE); ./testlsame; ./testslamch; \
	  ./testdlamch; ./testsecond; ./testdsecnd; \
	  cp lsame.f ../SRC; \
	  cp slamch.f ../SRC/; cp dlamch.f ../SRC/; \
	  cp second.f ../SRC/; cp dsecnd.f ../SRC/ )

blaslib:
	( cd BLAS/SRC; $(MAKE) )

lapacklib:
	( cd SRC; $(MAKE) )

tmglib:
	( cd TESTING/MATGEN; $(MAKE) )

do_testing:
	( cd TESTING ; $(MAKE) )

blas_testing:
	( cd BLAS/TESTING; $(MAKE) -f Makeblat1 )
	( cd BLAS; ./xblat1s > sblat1.out; \
	           ./xblat1d > dblat1.out; \
	           ./xblat1c > cblat1.out; \
	           ./xblat1z > zblat1.out )

	( cd BLAS/TESTING; $(MAKE) -f Makeblat2 )
	( cd BLAS; ./xblat2s < sblat2.in ; \
	           ./xblat2d < dblat2.in ; \
	           ./xblat2c < cblat2.in ; \
	           ./xblat2z < zblat2.in )

	( cd BLAS/TESTING; $(MAKE) -f Makeblat3 )
	( cd BLAS; ./xblat3s < sblat3.in ; \
	           ./xblat3d < dblat3.in ; \
	           ./xblat3c < cblat3.in ; \
	           ./xblat3z < zblat3.in )

do_timing:
	( cd TIMING; $(MAKE) )

blas_timing:
	( cd TIMING/LIN; $(MAKE) )
	( cd TIMING; ./xlintims < sblasa.in > sblasa.out ; \
	             ./xlintims < sblasb.in > sblasb.out ; \
	             ./xlintims < sblasc.in > sblasc.out )
	( cd TIMING; ./xlintimd < dblasa.in > dblasa.out ; \
	             ./xlintimd < dblasb.in > dblasb.out ; \
	             ./xlintimd < dblasc.in > dblasc.out )
	( cd TIMING; ./xlintimc < cblasa.in > cblasa.out ; \
	             ./xlintimc < cblasb.in > cblasb.out ; \
	             ./xlintimc < cblasc.in > cblasc.out )
	( cd TIMING; ./xlintimz < zblasa.in > zblasa.out ; \
	             ./xlintimz < zblasb.in > zblasb.out ; \
	             ./xlintimz < zblasc.in > zblasc.out )

cleanlib:
	( cd INSTALL; $(MAKE) clean )
	( cd BLAS/SRC; $(MAKE) clean )
	( cd SRC; $(MAKE) clean )
	( cd TESTING/MATGEN; $(MAKE) clean )

cleantesting:
	( cd TESTING/LIN; $(MAKE) clean )
	( cd TESTING/EIG; $(MAKE) clean )
	( cd TESTING; rm -f xlin* xeig* )

cleantiming:
	( cd TIMING/LIN; $(MAKE) clean )
	( cd TIMING/LIN/LINSRC; $(MAKE) clean )
	( cd TIMING/EIG; $(MAKE) clean )
	( cd TIMING/EIG/EIGSRC; $(MAKE) clean )
	( cd TIMING; rm -f xlin* xeig* )

=== testing/eig/Makefile ===
include ../../make.inc

########################################################################
#  This is the makefile for the eigenvalue test program from LAPACK.
#  The test files are organized as follows:
#
#     AEIGTST -- Auxiliary test routines used in all precisions
#     SCIGTST -- Auxiliary test routines used in REAL and COMPLEX
#     DZIGTST -- Auxiliary test routines used in DOUBLE PRECISION and
#                COMPLEX*16
#     SEIGTST -- Single precision real test routines
#     CEIGTST -- Single precision complex test routines
#     DEIGTST -- Double precision real test routines
#     ZEIGTST -- Double precision complex test routines
#
#  Test programs can be generated for all or some of the four different
#  precisions.  Enter make followed by one or more of the data types
#  desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates all four test programs.
#  The executable files are called
#       xeigtsts, xeigtstd, xeigtstc, and xeigtstz
#  and are created in the next higher directory level.
#
#  To remove the object files after the executable files have been
#  created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
########################################################################

AEIGTST = \
   alahdg.o \
   alasum.o \
   alasvm.o \
   alareq.o \
   ilaenv.o \
   xerbla.o \
   xlaenv.o \
   chkxer.o

SCIGTST = slafts.o slahd2.o slasum.o slatb9.o sstech.o sstect.o \
   ssvdch.o ssvdct.o ssxt1.o

SEIGTST = schkee.o \
   sbdt01.o sbdt02.o sbdt03.o \
   schkbb.o schkbd.o schkbk.o schkbl.o schkec.o \
   schkgg.o schkgk.o schkgl.o schkhs.o schksb.o schkst.o \
   sckglm.o sckgqr.o sckgsv.o scklse.o \
   sdrges.o sdrgev.o sdrgsx.o sdrgvx.o \
   sdrvbd.o sdrves.o sdrvev.o sdrvgg.o sdrvsg.o \
   sdrvst.o sdrvsx.o sdrvvx.o \
   serrbd.o serrec.o serred.o serrgg.o serrhs.o serrst.o \
   sget02.o sget10.o sget22.o sget23.o sget24.o sget31.o \
   sget32.o sget33.o sget34.o sget35.o sget36.o \
   sget37.o sget38.o sget39.o sget51.o sget52.o sget53.o \
   sget54.o sglmts.o sgqrts.o sgrqts.o sgsvts.o \
   shst01.o slarfy.o slarhs.o slatm4.o slctes.o slctsx.o slsets.o sort01.o \
   sort03.o ssbt21.o ssgt01.o sslect.o sspt21.o sstt21.o \
   sstt22.o ssyt21.o ssyt22.o

CEIGTST = cchkee.o \
   cbdt01.o cbdt02.o cbdt03.o \
   cchkbb.o cchkbd.o cchkbk.o cchkbl.o cchkec.o \
   cchkgg.o cchkgk.o cchkgl.o cchkhb.o cchkhs.o cchkst.o \
   cckglm.o cckgqr.o cckgsv.o ccklse.o \
   cdrges.o cdrgev.o cdrgsx.o cdrgvx.o \
   cdrvbd.o cdrves.o cdrvev.o cdrvgg.o cdrvsg.o \
   cdrvst.o cdrvsx.o cdrvvx.o \
   cerrbd.o cerrec.o cerred.o cerrgg.o cerrhs.o cerrst.o \
   cget02.o cget10.o cget22.o cget23.o cget24.o \
   cget35.o cget36.o cget37.o cget38.o cget51.o cget52.o \
   cget54.o cglmts.o cgqrts.o cgrqts.o cgsvts.o \
   chbt21.o chet21.o chet22.o chpt21.o chst01.o \
   clarfy.o clarhs.o clatm4.o clctes.o clctsx.o clsets.o csbmv.o \
   csgt01.o cslect.o \
   cstt21.o cstt22.o cunt01.o cunt03.o

DZIGTST = dlafts.o dlahd2.o dlasum.o dlatb9.o dstech.o dstect.o \
   dsvdch.o dsvdct.o dsxt1.o

DEIGTST = dchkee.o \
   dbdt01.o dbdt02.o dbdt03.o \
   dchkbb.o dchkbd.o dchkbk.o dchkbl.o dchkec.o \
   dchkgg.o dchkgk.o dchkgl.o dchkhs.o dchksb.o dchkst.o \
   dckglm.o dckgqr.o dckgsv.o dcklse.o \
   ddrges.o ddrgev.o ddrgsx.o ddrgvx.o \
   ddrvbd.o ddrves.o ddrvev.o ddrvgg.o ddrvsg.o \
   ddrvst.o ddrvsx.o ddrvvx.o \
   derrbd.o derrec.o derred.o derrgg.o derrhs.o derrst.o \
   dget02.o dget10.o dget22.o dget23.o dget24.o dget31.o \
   dget32.o dget33.o dget34.o dget35.o dget36.o \
   dget37.o dget38.o dget39.o dget51.o dget52.o dget53.o \
   dget54.o dglmts.o dgqrts.o dgrqts.o dgsvts.o \
   dhst01.o dlarfy.o dlarhs.o dlatm4.o dlctes.o dlctsx.o dlsets.o dort01.o \
   dort03.o dsbt21.o dsgt01.o dslect.o dspt21.o dstt21.o \
   dstt22.o dsyt21.o dsyt22.o

ZEIGTST = zchkee.o \
   zbdt01.o zbdt02.o zbdt03.o \
   zchkbb.o zchkbd.o zchkbk.o zchkbl.o zchkec.o \
   zchkgg.o zchkgk.o zchkgl.o zchkhb.o zchkhs.o zchkst.o \
   zckglm.o zckgqr.o zckgsv.o zcklse.o \
   zdrges.o zdrgev.o zdrgsx.o zdrgvx.o \
   zdrvbd.o zdrves.o zdrvev.o zdrvgg.o zdrvsg.o \
   zdrvst.o zdrvsx.o zdrvvx.o \
   zerrbd.o zerrec.o zerred.o zerrgg.o zerrhs.o zerrst.o \
   zget02.o zget10.o zget22.o zget23.o zget24.o \
   zget35.o zget36.o zget37.o zget38.o zget51.o zget52.o \
   zget54.o zglmts.o zgqrts.o zgrqts.o zgsvts.o \
   zhbt21.o zhet21.o zhet22.o zhpt21.o zhst01.o \
   zlarfy.o zlarhs.o zlatm4.o zlctes.o zlctsx.o zlsets.o zsbmv.o \
   zsgt01.o zslect.o \
   zstt21.o zstt22.o zunt01.o zunt03.o

all: single complex double complex16

single: ../xeigtsts
complex: ../xeigtstc
double: ../xeigtstd
complex16: ../xeigtstz

../xeigtsts: $(SEIGTST) $(SCIGTST) $(AEIGTST) ; \
          $(LOADER) $(LOADOPTS) -o $@ \
          $(SEIGTST) $(SCIGTST) $(AEIGTST) ../../$(TMGLIB) \
	  $(LLIB) $(BLASLIB)

../xeigtstc: $(CEIGTST) $(SCIGTST) $(AEIGTST) ; \
          $(LOADER) $(LOADOPTS) -o $@ \
          $(CEIGTST) $(SCIGTST) $(AEIGTST) ../../$(TMGLIB) \
	  $(LLIB) $(BLASLIB)

../xeigtstd: $(DEIGTST) $(DZIGTST) $(AEIGTST) ; \
          $(LOADER) $(LOADOPTS) -o $@ \
          $(DEIGTST) $(DZIGTST) $(AEIGTST) ../../$(TMGLIB) \
	  $(LLIB) $(BLASLIB)

../xeigtstz: $(ZEIGTST) $(DZIGTST) $(AEIGTST) ; \
          $(LOADER) $(LOADOPTS) -o $@ \
          $(ZEIGTST) $(DZIGTST) $(AEIGTST) ../../$(TMGLIB) \
	  $(LLIB) $(BLASLIB)

$(AEIGTST): $(FRC)
$(SCIGTST): $(FRC)
$(DZIGTST): $(FRC)
$(SEIGTST): $(FRC)
$(CEIGTST): $(FRC)
$(DEIGTST): $(FRC)
$(ZEIGTST): $(FRC)

FRC:
	@FRC=$(FRC)

clean:
	rm -f *.o

schkee.o: schkee.f
	$(FORTRAN) $(DRVOPTS) -c $<
dchkee.o: dchkee.f
	$(FORTRAN) $(DRVOPTS) -c $<
cchkee.o: cchkee.f
	$(FORTRAN) $(DRVOPTS) -c $<
zchkee.o: zchkee.f
	$(FORTRAN) $(DRVOPTS) -c $<

.f.o : ; $(FORTRAN) $(OPTS) -c $<

=== testing/lin/Makefile ===
include ../../make.inc

#######################################################################
#  This makefile creates the test programs for the linear equation
#  routines in LAPACK.  The test files are grouped as follows:
#
#       ALINTST -- Auxiliary test routines
#       SLINTST -- Single precision real test routines
#       CLINTST -- Single precision complex test routines
#       SCLNTST -- Single and Complex routines in common
#       DLINTST -- Double precision real test routines
#       ZLINTST -- Double precision complex test routines
#       DZLNTST -- Double and Double Complex routines in common
#
#  Test programs can be generated for all or some of the four different
#  precisions.  Enter make followed by one or more of the data types
#  desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates all four test programs.
#  The executable files are called
#       xlintims, xlintimd, xlintimc, and xlintimz
#  and are created in the next higher directory level.
#
#  To remove the object files after the executable files have been
#  created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
#######################################################################

ALINTST = \
   aladhd.o alaerh.o alaesm.o alahd.o alareq.o \
   alasum.o alasvm.o chkxer.o icopy.o ilaenv.o xlaenv.o xerbla.o

SCLNTST= slaord.o

DZLNTST= dlaord.o 

SLINTST = schkaa.o \
   schkeq.o schkgb.o schkge.o schkgt.o \
   schklq.o schkpb.o schkpo.o schkpp.o \
   schkpt.o schkq3.o schkql.o schkqp.o schkqr.o schkrq.o \
   schksp.o schksy.o schktb.o schktp.o schktr.o \
   schktz.o \
   sdrvgb.o sdrvge.o sdrvgt.o sdrvls.o sdrvpb.o \
   sdrvpo.o sdrvpp.o sdrvpt.o sdrvsp.o sdrvsy.o \
   serrge.o serrgt.o serrlq.o serrls.o \
   serrpo.o serrql.o serrqp.o serrqr.o \
   serrrq.o serrsy.o serrtr.o serrtz.o serrvx.o \
   sgbt01.o sgbt02.o sgbt05.o sgelqs.o sgeqls.o sgeqrs.o \
   sgerqs.o sget01.o sget02.o \
   sget03.o sget04.o sget06.o sget07.o sgtt01.o sgtt02.o \
   sgtt05.o slaptm.o slarhs.o slatb4.o slattb.o slattp.o \
   slattr.o slavsp.o slavsy.o slqt01.o slqt02.o \
   slqt03.o spbt01.o spbt02.o spbt05.o spot01.o \
   spot02.o spot03.o spot05.o sppt01.o \
   sppt02.o sppt03.o sppt05.o sptt01.o sptt02.o \
   sptt05.o sqlt01.o sqlt02.o sqlt03.o sqpt01.o \
   sqrt01.o sqrt02.o sqrt03.o sqrt11.o sqrt12.o \
   sqrt13.o sqrt14.o sqrt15.o sqrt16.o sqrt17.o \
   srqt01.o srqt02.o srqt03.o srzt01.o srzt02.o \
   sspt01.o ssyt01.o \
   stbt02.o stbt03.o stbt05.o stbt06.o stpt01.o \
   stpt02.o stpt03.o stpt05.o stpt06.o strt01.o \
   strt02.o strt03.o strt05.o strt06.o \
   stzt01.o stzt02.o

CLINTST = cchkaa.o \
   cchkeq.o cchkgb.o cchkge.o cchkgt.o \
   cchkhe.o cchkhp.o cchklq.o cchkpb.o \
   cchkpo.o cchkpp.o cchkpt.o cchkq3.o cchkql.o cchkqp.o \
   cchkqr.o cchkrq.o cchksp.o cchksy.o cchktb.o \
   cchktp.o cchktr.o cchktz.o \
   cdrvgb.o cdrvge.o cdrvgt.o cdrvhe.o cdrvhp.o \
   cdrvls.o cdrvpb.o cdrvpo.o cdrvpp.o cdrvpt.o \
   cdrvsp.o cdrvsy.o \
   cerrge.o cerrgt.o cerrhe.o cerrlq.o \
   cerrls.o cerrpo.o cerrql.o cerrqp.o \
   cerrqr.o cerrrq.o cerrsy.o cerrtr.o cerrtz.o \
   cerrvx.o \
   cgbt01.o cgbt02.o cgbt05.o cgelqs.o cgeqls.o cgeqrs.o \
   cgerqs.o cget01.o cget02.o \
   cget03.o cget04.o cget07.o cgtt01.o cgtt02.o \
   cgtt05.o chet01.o chpt01.o claipd.o claptm.o clarhs.o clatb4.o \
   clatsp.o clatsy.o clattb.o clattp.o clattr.o \
   clavhe.o clavhp.o clavsp.o clavsy.o clqt01.o \
   clqt02.o clqt03.o cpbt01.o cpbt02.o cpbt05.o \
   cpot01.o cpot02.o cpot03.o cpot05.o \
   cppt01.o cppt02.o cppt03.o cppt05.o cptt01.o \
   cptt02.o cptt05.o cqlt01.o cqlt02.o cqlt03.o \
   cqpt01.o cqrt01.o cqrt02.o cqrt03.o cqrt11.o \
   cqrt12.o cqrt13.o cqrt14.o cqrt15.o cqrt16.o \
   cqrt17.o crqt01.o crqt02.o crqt03.o crzt01.o crzt02.o \
   csbmv.o  cspt01.o \
   cspt02.o cspt03.o csyt01.o csyt02.o csyt03.o \
   ctbt02.o ctbt03.o ctbt05.o ctbt06.o ctpt01.o \
   ctpt02.o ctpt03.o ctpt05.o ctpt06.o ctrt01.o \
   ctrt02.o ctrt03.o ctrt05.o ctrt06.o \
   ctzt01.o ctzt02.o sget06.o

DLINTST = dchkaa.o \
   dchkeq.o dchkgb.o dchkge.o dchkgt.o \
   dchklq.o dchkpb.o dchkpo.o dchkpp.o \
   dchkpt.o dchkq3.o dchkql.o dchkqp.o dchkqr.o dchkrq.o \
   dchksp.o dchksy.o dchktb.o dchktp.o dchktr.o \
   dchktz.o \
   ddrvgb.o ddrvge.o ddrvgt.o ddrvls.o ddrvpb.o \
   ddrvpo.o ddrvpp.o ddrvpt.o ddrvsp.o ddrvsy.o \
   derrge.o derrgt.o derrlq.o derrls.o \
   derrpo.o derrql.o derrqp.o derrqr.o \
   derrrq.o derrsy.o derrtr.o derrtz.o derrvx.o \
   dgbt01.o dgbt02.o dgbt05.o dgelqs.o dgeqls.o dgeqrs.o \
   dgerqs.o dget01.o dget02.o \
   dget03.o dget04.o dget06.o dget07.o dgtt01.o dgtt02.o \
   dgtt05.o dlaptm.o dlarhs.o dlatb4.o dlattb.o dlattp.o \
   dlattr.o dlavsp.o dlavsy.o dlqt01.o dlqt02.o \
   dlqt03.o dpbt01.o dpbt02.o dpbt05.o dpot01.o \
   dpot02.o dpot03.o dpot05.o dppt01.o \
   dppt02.o dppt03.o dppt05.o dptt01.o dptt02.o \
   dptt05.o dqlt01.o dqlt02.o dqlt03.o dqpt01.o \
   dqrt01.o dqrt02.o dqrt03.o dqrt11.o dqrt12.o \
   dqrt13.o dqrt14.o dqrt15.o dqrt16.o dqrt17.o \
   drqt01.o drqt02.o drqt03.o drzt01.o drzt02.o \
   dspt01.o dsyt01.o \
   dtbt02.o dtbt03.o dtbt05.o dtbt06.o dtpt01.o \
   dtpt02.o dtpt03.o dtpt05.o dtpt06.o dtrt01.o \
   dtrt02.o dtrt03.o dtrt05.o dtrt06.o \
   dtzt01.o dtzt02.o

ZLINTST = zchkaa.o \
   zchkeq.o zchkgb.o zchkge.o zchkgt.o \
   zchkhe.o zchkhp.o zchklq.o zchkpb.o \
   zchkpo.o zchkpp.o zchkpt.o zchkq3.o zchkql.o zchkqp.o \
   zchkqr.o zchkrq.o zchksp.o zchksy.o zchktb.o \
   zchktp.o zchktr.o zchktz.o \
   zdrvgb.o zdrvge.o zdrvgt.o zdrvhe.o zdrvhp.o \
   zdrvls.o zdrvpb.o zdrvpo.o zdrvpp.o zdrvpt.o \
   zdrvsp.o zdrvsy.o \
   zerrge.o zerrgt.o zerrhe.o zerrlq.o \
   zerrls.o zerrpo.o zerrql.o zerrqp.o \
   zerrqr.o zerrrq.o zerrsy.o zerrtr.o zerrtz.o \
   zerrvx.o \
   zgbt01.o zgbt02.o zgbt05.o zgelqs.o zgeqls.o zgeqrs.o \
   zgerqs.o zget01.o zget02.o \
   zget03.o zget04.o zget07.o zgtt01.o zgtt02.o \
   zgtt05.o zhet01.o zhpt01.o zlaipd.o zlaptm.o zlarhs.o zlatb4.o \
   zlatsp.o zlatsy.o zlattb.o zlattp.o zlattr.o \
   zlavhe.o zlavhp.o zlavsp.o zlavsy.o zlqt01.o \
   zlqt02.o zlqt03.o zpbt01.o zpbt02.o zpbt05.o \
   zpot01.o zpot02.o zpot03.o zpot05.o \
   zppt01.o zppt02.o zppt03.o zppt05.o zptt01.o \
   zptt02.o zptt05.o zqlt01.o zqlt02.o zqlt03.o \
   zqpt01.o zqrt01.o zqrt02.o zqrt03.o zqrt11.o \
   zqrt12.o zqrt13.o zqrt14.o zqrt15.o zqrt16.o \
   zqrt17.o zrqt01.o zrqt02.o zrqt03.o zrzt01.o zrzt02.o \
   zsbmv.o  zspt01.o \
   zspt02.o zspt03.o zsyt01.o zsyt02.o zsyt03.o \
   ztbt02.o ztbt03.o ztbt05.o ztbt06.o ztpt01.o \
   ztpt02.o ztpt03.o ztpt05.o ztpt06.o ztrt01.o \
   ztrt02.o ztrt03.o ztrt05.o ztrt06.o \
   ztzt01.o ztzt02.o dget06.o

all:  single double complex complex16

single: ../xlintsts
double: ../xlintstd
complex: ../xlintstc
complex16: ../xlintstz

../xlintsts : $(ALINTST) $(SLINTST) $(SCLNTST)
	$(LOADER) $(LOADOPTS)  $(ALINTST) $(SCLNTST) $(SLINTST) \
        ../../$(TMGLIB) $(LLIB) $(BLASLIB)  -o $@

../xlintstc : $(ALINTST) $(CLINTST) $(SCLNTST)
	$(LOADER) $(LOADOPTS)  $(ALINTST) $(SCLNTST) $(CLINTST) \
        ../../$(TMGLIB) $(LLIB) $(BLASLIB)  -o $@
 
../xlintstd : $(ALINTST) $(DLINTST) $(DZLNTST)
	$(LOADER) $(LOADOPTS)  $(ALINTST) $(DZLNTST) $(DLINTST) \
        ../../$(TMGLIB) $(LLIB) $(BLASLIB)  -o $@
 
../xlintstz : $(ALINTST) $(ZLINTST) $(DZLNTST)
	$(LOADER) $(LOADOPTS)  $(ALINTST) $(DZLNTST) $(ZLINTST) \
        ../../$(TMGLIB) $(LLIB) $(BLASLIB)  -o $@
 
$(ALINTST): $(FRC)
$(SCLNTST): $(FRC)
$(DZLNTST): $(FRC)
$(SLINTST): $(FRC)
$(CLINTST): $(FRC)
$(DLINTST): $(FRC)
$(ZLINTST): $(FRC)
 
FRC:
	@FRC=$(FRC)
 
clean:
	rm -f *.o

schkaa.o: schkaa.f
	$(FORTRAN) $(DRVOPTS) -c $<
dchkaa.o: dchkaa.f
	$(FORTRAN) $(DRVOPTS) -c $<
cchkaa.o: cchkaa.f
	$(FORTRAN) $(DRVOPTS) -c $<
zchkaa.o: zchkaa.f
	$(FORTRAN) $(DRVOPTS) -c $<
 
.f.o: 
	$(FORTRAN) -c $(OPTS) $*.f

=== timing/eig/Makefile ===
include ../../make.inc

#######################################################################
#  This makefile creates the timing programs for the eigensystem
#  routines in LAPACK.  The timing files are grouped as follows:
#
#       AEIGTIM -- General auxiliary timing routines
#       SCIGTIM -- Single precision auxiliary timing routines
#       DZIGTIM -- Double precision auxiliary timing routines
#
#       SEIGTIM -- Single precision real timing routines
#       CEIGTIM -- Single precision complex timing routines
#       DEIGTIM -- Double precision real timing routines
#       ZEIGTIM -- Double precision complex timing routines
#
#  Timing programs can be generated for all or some of the four
#  data types.  To enter make followed by one or more of the data
#  types desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates all four timing programs.
#  The executable files are called
#       xeigtims, xeigtimd, xeigtimc, and xeigtimz
#  and are created in the next higher directory level.
#
#  To remove the object files after the executable files have been
#  created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
#######################################################################

AEIGTIM = atimin.o ilaenv.o xlaenv.o

SCIGTIM = \
   smflop.o sopla.o sopla2.o sopbl3.o \
   sprtbe.o sprtbg.o sprtbr.o sprtbs.o sprtbv.o

DZIGTIM = \
   dmflop.o dopla.o dopla2.o dopbl3.o \
   dprtbe.o dprtbg.o dprtbr.o dprtbs.o dprtbv.o

SEIGTIM = stimee.o \
   slaqzh.o slatm4.o stim21.o stim22.o stim26.o stim51.o seispack.o

CEIGTIM = ctimee.o \
   claqzh.o clatm4.o ctim21.o ctim22.o ctim26.o ctim51.o ceispack.o

DEIGTIM = dtimee.o \
   dlaqzh.o dlatm4.o dtim21.o dtim22.o dtim26.o dtim51.o deispack.o

ZEIGTIM = ztimee.o \
   zlaqzh.o zlatm4.o ztim21.o ztim22.o ztim26.o ztim51.o zeispack.o

all:  single double complex complex16

single: ../xeigtims
double: ../xeigtimd
complex: ../xeigtimc
complex16: ../xeigtimz

../xeigtims:$(AEIGTIM) $(SCIGTIM) $(SEIGTIM)
	$(LOADER) $(LOADOPTS)  $(AEIGTIM) $(SCIGTIM) $(SEIGTIM) \
        ../../$(TMGLIB) $(EIGSRCLIB) $(LLIB) \
	$(BLASLIB) -o ../xeigtims

../xeigtimc:$(AEIGTIM) $(SCIGTIM) $(CEIGTIM)
	$(LOADER) $(LOADOPTS)  $(AEIGTIM) $(SCIGTIM) $(CEIGTIM) \
        ../../$(TMGLIB) $(EIGSRCLIB) $(LLIB) \
	$(BLASLIB) -o ../xeigtimc

../xeigtimd:$(AEIGTIM) $(DZIGTIM) $(DEIGTIM)
	$(LOADER) $(LOADOPTS)  $(AEIGTIM) $(DZIGTIM) $(DEIGTIM) \
        ../../$(TMGLIB) $(EIGSRCLIB) $(LLIB) \
	$(BLASLIB) -o ../xeigtimd

../xeigtimz:$(AEIGTIM) $(DZIGTIM) $(ZEIGTIM)
	$(LOADER) $(LOADOPTS)  $(AEIGTIM) $(DZIGTIM) $(ZEIGTIM) \
        ../../$(TMGLIB) $(EIGSRCLIB) $(LLIB) \
	$(BLASLIB) -o ../xeigtimz

$(AEIGTIM): $(FRC)
$(SCIGTIM): $(FRC)
$(DZIGTIM): $(FRC)
$(SEIGTIM): $(FRC)
$(CEIGTIM): $(FRC)
$(DEIGTIM): $(FRC)
$(ZEIGTIM): $(FRC)
 
FRC: ; \
        @FRC=$(FRC)
 
clean: ; \
        rm -f *.o *.a

stimee.o: stimee.f
	$(FORTRAN) $(DRVOPTS) -c $<
dtimee.o: dtimee.f
	$(FORTRAN) $(DRVOPTS) -c $<
ctimee.o: ctimee.f
	$(FORTRAN) $(DRVOPTS) -c $<
ztimee.o: ztimee.f
	$(FORTRAN) $(DRVOPTS) -c $<
 
.f.o : ; $(FORTRAN) $(OPTS) -c $<

=== debian/changelog ===
lapack-ffc5 (3.0.20000531a-29) unstable; urgency=low

  * Compiled by Fujitsu Fortran90 Compiler based on lapack-3.0.20000531a-29 deb package
	
 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Mon, 11 Sep 2006 14:27:40 +0900

=== debian/rules ===
#!/usr/bin/make -f

# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

# shared library versions, option 1
#version=2.0.5
#major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

SO:=2
MN:=0
VERS:=$(SO).$(MN)


ARCH:=$(shell dpkg --print-architecture)
#F77:=g77
#FOPTS:=-ff90
#OPTOPTS:=-O3
#UNROLL:=-funroll-all-loops

F77:=frt
FOPTS:=-Am
OPTOPTS:=
UNROLL:=

SUFFIX=_ffc5
LIBNAME=lapack$(SUFFIX)
DLIBNAME=lib$(LIBNAME).so
SLIBNAME=lib$(LIBNAME).a

LAPACKLIB=$(SLIBNAME)

ifeq ($(ARCH),arm)
#F77:=g77-3.0
OPTOPTS:=-O0
UNROLL:=
endif

#ifeq ($(ARCH),m68k)
#F77:=fort77
#FOPTS:=-ffloat-store
#endif

#ifeq ($(ARCH),ia64)
#F77:=g77-3.2
#endif

ifeq ($(ARCH),alpha)
#F77:=g77-3.2
FOPTS:=-ff90 -mieee
endif

ifeq ($(ARCH),s390)
OPTOPTS:=-O0
endif

#
#
# Add-on documentation from upstream
#
#


debian/lapackqref.ps debian/faq.html:
	cd $(@D) && wget -N ftp://ftp.netlib.org/lapack/$(@F)

debian/release_notes.html:
	cd $(@D) && wget -N ftp://ftp.netlib.org/lapack/$(@F)
	cat $@ | sed -e "s,/lapack/html/,,g" \
		     -e "s,errata.lug\",errata.lug.gz\",1" \
		     -e "s,installation.hints\",installation.hints.gz\",1" >tmp
	mv tmp $@

MF:=$(shell find man -type f)
MF3:=$(subst .l,.3,$(MF))
man:
	cd debian && wget -N ftp://ftp.netlib.org/lapack/manpages.tgz
	tar zxf debian/manpages.tgz
	rm -rf debian/manpages.tgz blas/man

%.3: %.l
	cat $< |sed "s,^\( *.TH  *[^ ]*  *\)l\(  *.*\),\1 3 \2,1" >$@

debian/errata.lug debian/installation.hints:
	cd $(@D) && wget -N ftp://ftp.netlib.org/lapack/html/$(@F)

lug/index.html:
	mkdir -p $(@D)
	cd $(@D) && \
		wget -r -N --no-parent -nH --cut-dirs=2 ftp://ftp.netlib.org/lapack/lug/
	cd $(@D) && \
		wget -r -N --no-parent -nH --cut-dirs=2 -A gif ftp://ftp.netlib.org/utk/icons/
	cd $(@D) && ( set -e ; \
		for i in $$(ls -1 *.html); do \
			cat $$i | sed "s,http://www.netlib.org/utk/icons/,,g" >tmp && mv tmp $$i ; \
		done )
	cd $(@D) && web2png -a && rm -f *.gif

doc: lug/index.html debian/lapackqref.ps man\
     debian/release_notes.html debian/errata.lug debian/installation.hints\
     debian/faq.html

#
#
# Upstream updates/patches
#
#


UD:=debian/updates

debian/updates/index.html:
	cd debian/updates && \
		wget -r -N -R html,gif,txt --no-parent -nH --cut-dirs=2 \
			ftp://ftp.netlib.org/lapack/patch/
	cd debian/updates && cat ../updates.patch | patch -p3
	find debian/updates -name index.html -exec rm {} \;
	find debian/updates -name robots.txt -exec rm {} \;
	find debian/updates -name MD5 -exec rm {} \;

PF:=$(shell cd $(UD) && find * -type f)

debian/patches/%: $(UD)/% debian/unapplied/%
	[ -e $* ]
	mkdir -m 777 -p $(@D)
	i=$$(dirname $(@D));while [ "$$i" != "debian" ] ; do chmod go+rw $$i;i=$$(dirname $$i);done
	diff -uN $* $(UD)/$* >$@ || [ $$? -le 1 ]

debian/patches_created: debian/patches_unapplied $(addprefix debian/patches/,$(PF))
	touch $@ && chmod go+rw $@

debian/applied/%: 
	! [ -e debian/patches/$* ] || patch -p0 < debian/patches/$*
	mkdir -m 777 -p $(@D)
	i=$$(dirname $(@D));while [ "$$i" != "debian" ] ; do chmod go+rw $$i;i=$$(dirname $$i);done
	rm -f debian/unapplied/$*
	touch $@ && chmod go+rw $@

debian/arch_patch_applied:
	! [ -e debian/$(ARCH)/patch ] || patch -p1 <debian/$(ARCH)/patch
	mkdir -m 777 -p $(@D)
	rm -f debian/arch_patch_unapplied
	touch $@ && chmod go+rw $@

debian/makes: make.inc testing/Makefile timing/Makefile
	rm -f debian/unmakes
	touch $@

debian/patches_applied: $(addprefix debian/applied/,$(PF)) debian/arch_patch_applied debian/makes
	rm -f debian/patches_unapplied
	touch $@ && chmod go+rw $@

debian/unapplied/%: 
	! [ -e debian/patches/$* ] || ! [ -e debian/applied/$* ] || patch -p0 -R < debian/patches/$*
	mkdir -m 777 -p $(@D)
	i=$$(dirname $(@D));while [ "$$i" != "debian" ] ; do chmod go+rw $$i;i=$$(dirname $$i);done
	rm -f debian/applied/$*
	touch $@ && chmod go+rw $@

debian/arch_patch_unapplied:
	! [ -e debian/$(ARCH)/patch ] || ! [ -e debian/arch_patch_applied ] || patch -p1 -R <debian/$(ARCH)/patch
	mkdir -m 777 -p $(@D)
	rm -f debian/arch_patch_applied
	touch $@ && chmod go+rw $@

debian/unmakes:
	! [ -e make.inc.ori ] || mv make.inc.ori make.inc
	! [ -e testing/Makefile.ori ] || mv testing/Makefile.ori testing/Makefile
	! [ -e timing/Makefile.ori ] || mv timing/Makefile.ori timing/Makefile
	rm -f debian/makes
	touch $@

debian/patches_unapplied: debian/unmakes debian/arch_patch_unapplied $(addprefix debian/unapplied/,$(PF)) 
	rm -f debian/patches_applied
	touch $@ && chmod go+rw $@

#
#
# Configure
#
#


make.inc.ori: 
	cp -p make.inc $@

make.inc: install/make.inc.LINUX make.inc.ori 
	cat $< | sed -e "s,g77,$(F77),g" \
		     -e "s,\(^NOOPT  *=\),\1 \$$(PICOPTS) $(FOPTS),1" \
		     -e "s,-O3,\$$(PICOPTS) $(FOPTS) $(OPTOPTS),1" \
		     -e "s,-funroll-all-loops,$(UNROLL),g" \
		     -e "s,[^ ]*blas[^ ]*\.a,-lblas,1" > $@

TIMEOUT:=1800

testing/Makefile.ori: 
	cp testing/Makefile $@

testing/Makefile: testing/Makefile.ori 
	cat $< | sed -e "s,\./x,../debian/trun $(TIMEOUT) ./x,g" >$@

timing/Makefile.ori: 
	cp timing/Makefile $@

timing/Makefile: timing/Makefile.ori 
	cat $< | sed -e "s,\./x,../debian/trun $(TIMEOUT) ./x,g" >$@

#
#
# Build rules for libraries
#
#


liblapack$(SUFFIX)_pic.a: debian/patches_applied make.inc testing/Makefile timing/Makefile
	$(MAKE) cleanlib
	$(MAKE) do_install PICOPTS=-fPIC
	$(MAKE) lib        PICOPTS=-fPIC
	mv lapack_LINUX.a $@

$(DLIBNAME).$(VERS): liblapack$(SUFFIX)_pic.a libblas.so
	mkdir tmp
	cd tmp && ar x ../$<
	gcc -shared -Wl,-soname=$(DLIBNAME).$(SO) -o $@ tmp/*.o  -L. -lblas -lg2c
	rm -rf tmp

$(DLIBNAME).$(SO): $(DLIBNAME).$(VERS)
	ln -snf $< $@

$(DLIBNAME): $(DLIBNAME).$(SO)
	ln -snf $< $@

$(SLIBNAME): debian/patches_applied make.inc testing/Makefile timing/Makefile
	$(MAKE) cleanlib
	$(MAKE) do_install 
	$(MAKE) lib        
	mv lapack_LINUX.a $@

BF:=$(SLIBBAME) $(DLIBNAME)
build: $(BF)


#
#
# Testing/timing rules
#
#

TB:=s d c z
TB:=$(addprefix tst,$(TB))
TB:=$(addprefix eig,$(TB)) $(addprefix lin,$(TB))
TB:=$(addprefix testing/x,$(TB))
MB:=$(subst tst,tim,$(TB))
MB:=$(subst testing,timing,$(MB))
TESF:=cbak cbal cbb cec ced cgbak cgbal cgd cgg cglm cgqr cgsv\
	clse cnep csb csep csg csvd ctest dbak dbal dbb dec ded\
	dgbak dgbal dgd dgg dglm dgqr dgsv dlse dnep dsb dsep dsg\
	dsvd dtest sbak sbal sbb sec sed sgbak sgbal sgd sgg sglm\
	sgqr sgsv slse snep ssb ssep ssg ssvd stest zbak zbal zbb\
	zec zed zgbak zgbal zgd zgg zglm zgqr zgsv zlse znep zsb\
	zsep zsg zsvd ztest

#
# Work around for alpha, cgqr test fails to converge
#
# Now fixed
#
#ifeq ($(ARCHT),alpha)
#TESTF:=$(filter-out cgqr,$(TESTF))
#endif

TESF:=$(addprefix testing/,$(addsuffix .out,$(TESF)))
TIMF:=cband cgeptim cneptim cseptim csvdtim ctime ctime2 dband\
	dgeptim dneptim dseptim dsvdtim dtime dtime2 sband sgeptim\
	sneptim sseptim ssvdtim stime stime2 zband zgeptim zneptim\
	zseptim zsvdtim ztime ztime2
TIMF:=$(addprefix timing/,$(addsuffix .out,$(TIMF)))

libblas.so: 
	cp -d /usr/lib/libblas$(SUFFIX).so.$(SO).* libblas.so

$(TB) $(TESF): libblas.so $(DLIBNAME)
	chmod +x debian/trun
	LD_LIBRARY_PATH=$$(pwd):$$LD_LIBRARY_PATH \
	$(MAKE) PICOPTS= \
		LLIB="-L $$(pwd) -llapack$(SUFFIX) -lblas" do_testing & \
		j=$$! ;\
		tail -f --pid=$$j --retry $(TESF) & \
		wait $$j

$(subst testing,debian/test,$(TESF)):\
	debian/test/%: testing/%
	mkdir -m 777 -p $(@D)
	echo Test file $(@F) >$@
	cat $< >> $@

debian/test_results: $(subst testing,debian/test,$(TESF))
	echo "These libraries and tests were compiled with:" >$@
	$(F77) -v >>$@
	cat $^ >>$@

$(MB) $(TIMF): libblas.so $(DLIBNAME)
	chmod +x debian/trun
	LD_LIBRARY_PATH=$$(pwd):$$LD_LIBRARY_PATH \
	$(MAKE) PICOPTS= \

## lapack-ffc5 3.0.20000531a-30

=== debian/changelog ===
lapack-ffc5 (3.0.20000531a-30) unstable; urgency=low

  * Test install dir. is changed from /usr/lib/lapack to /usr/lib/lapack-ffc5. 
  * Doc install dir is changed from /usr/share/doc/lapack to
    /usr/share/doc/lapack-ffc5

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 28 Mar 2007 16:50:49 +0900

=== debian/control ===
Source: lapack-ffc5
Section: libs
Priority: optional
Maintainer: Camm Maguire <camm@enhanced.com>
Build-Depends: debhelper ( >= 4.1.16 ) , ffc (>=5.0), blas-ffc5-dev
Standards-Version: 3.6.1

Package: lapack-ffc5
Architecture: any
Depends: ${shlibs:Depends}, debconf (>= 1.2.0)
Provides: lapack2
Conflicts: lapack99
Replaces: lapack99
Description: a library of linear algebra routines compiled by Fujitsu Fortran90 compiler ver. 5 - shared version
 LAPACK version 3.0 is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.

Package: lapack-ffc5-dev
Architecture: any
Depends: lapack-ffc5 (= ${Source-Version}), libc6-dev, blas-ffc5-dev
Provides: lapack2-dev
Conflicts: lapack99-dev,lapack3-dev
Replaces: lapack99-dev,lapack3-dev
Section: devel
Description: a library of linear algebra routines compiled by Fujitsu Fortran90 compiler ver. 5 - static version
 LAPACK version 3.0 is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.

Package: lapack-ffc5-pic
Architecture: any
Conflicts: lapack3-pic
Replaces: lapack3-pic
Depends: lapack-ffc5 (= ${Source-Version}), libc6-dev, blas-ffc5-dev
Description: a library of linear algebra routines compiled by Fujitsu Fortran90 compiler ver. 5 - static PIC version
 LAPACK version 3.0 is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 Normally one would want to use non-PIC code for static linking.  In
 this case, install lapack-dev.  This package is provided for other
 packages, such as atlas, needing access to PIC versions of the lapack
 objects in their own build process.

Package: lapack-ffc5-test
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: lapack3-test
Replaces: lapack3-test
Description: a library of linear algebra routines compiled by Fujitsu Fortran90 compiler ver. 5 - testing programs
 LAPACK version 3.0 is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 These testing and timing programs have been run against the 
 shared library in the lapack package.  The results have been 
 collected in the files test_results and timing_results.  These 
 programs are provided separately here so that the user can 
 test and compare alternate versions of the lapack libraries,
 such as those provided by the atlas packages, and the lapack99
 package.
	
Package: lapack-ffc5-doc
Section: doc
Architecture: all
Conflicts: lapack3-doc
Replaces: lapack3-doc
Description: a library of linear algebra routines compiled by Fujitsu Fortran90 compiler ver. 5 - documentation
 LAPACK version 3.0 is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains manual pages for the routines, a 
 "Quick-Reference" guide, release notes, a frequently asked 
 questions document, and a copy of the Lapack User's Guide
 manual in html format.

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 UNROLL:=
 
 SUFFIX=_ffc5
+EXT=-ffc5
 LIBNAME=lapack$(SUFFIX)
 DLIBNAME=lib$(LIBNAME).so
 SLIBNAME=lib$(LIBNAME).a
